package com.sagacloud.route.processors;
/*
 * Author: Jxing
 * Create Time: 2018/7/19
 */

import com.alibaba.fastjson.JSONObject;
import com.sagacloud.cache.ProPasCache;
import com.sagacloud.utils.Const;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;

public class GetEquipmentByPjProcessor implements Processor {
    @Override
    public void process(Exchange exchange) throws Exception {
        String jsonStr = exchange.getIn().getBody(String.class);
        JSONObject json = JSONObject.parseObject(jsonStr);
        String projectId = json.getString(Const.HEADER_PROJECT);
        String secret = ProPasCache.getPjSecret(projectId);
        exchange.getIn().setBody("{\"venderInfo\":true,\"criteria\":{\"type\":[\"Eq\"]}}");
//        exchange.getIn().setBody("{\"criteria\":{\"family\":[]}}");
        exchange.getIn().setHeader(Exchange.HTTP_URI, Const.dataPlatform+"/object/subset_query?method=POST");
        exchange.getIn().setHeader(Exchange.HTTP_QUERY,Const.HEADER_PROJECT + "=" + projectId + "&"+ Const.HEADER_SECRET+ "="+ secret);
    }

    public static void getEquipmentHistoryByPj(Exchange exchange) throws Exception {
        String jsonStr = exchange.getIn().getBody(String.class);
        JSONObject json = JSONObject.parseObject(jsonStr);
        String projectId = json.getString(Const.HEADER_PROJECT);
        String secret = ProPasCache.getPjSecret(projectId);
        exchange.getIn().setBody("{\"venderInfo\":true,\"historyInfos\":true,\"criteria\":{}}");
//        exchange.getIn().setBody("{\"criteria\":{\"family\":[]}}");
        exchange.getIn().setHeader(Exchange.HTTP_URI, Const.dataPlatform+"/equipment/complex_query?method=POST");
        exchange.getIn().setHeader(Exchange.HTTP_QUERY,Const.HEADER_PROJECT + "=" + projectId + "&"+ Const.HEADER_SECRET+ "="+ secret);
    }
}
